Skip to main content
GET
/
v3
/
order
/
{order_id}
/
abn_pdf
curl --request GET \
     --url '{{BASE_URL}}/v3/order/<order_id>/abn_pdf' \
     --header 'accept: application/pdf' \
     --header 'x-vital-api-key: YOUR_API_KEY' \
     --output file.pdf
from junction import Junction
from junction.environment import JunctionEnvironment

client = Junction(
    api_key="YOUR_API_KEY",
    environment=JunctionEnvironment.SANDBOX,
)

data = client.lab_tests.get_order_abn_pdf("<order_id>")
import { JunctionClient, JunctionEnvironment } from "@junction-api/sdk";

const client = new JunctionClient({
    apiKey: "YOUR_API_KEY",
    environment: JunctionEnvironment.Sandbox,
});

const data = await client.labTests.getOrderAbnPdf({ orderId: "<order_id>" });
import com.junction.api.Junction;
import com.junction.api.core.Environment;

Junction client = Junction.builder()
    .apiKey("YOUR_API_KEY")
    .environment(Environment.SANDBOX)
    .build();

var data = client.labTests().getOrderAbnPdf("<order_id>");
import (
    "context"

    junction "github.com/junction-api/junction-go"
    "github.com/junction-api/junction-go/client"
    "github.com/junction-api/junction-go/option"
)

c := client.NewClient(
    option.WithApiKey("YOUR_API_KEY"),
    option.WithBaseURL(junction.Environments.Sandbox),
)

response, err := c.LabTests.GetOrderAbnPdf(context.TODO(), &junction.GetOrderAbnPdfLabTestsRequest{
    OrderId: "<order_id>",
})
if err != nil {
    return err
}
fmt.Printf("Received data %s\n", response)
{
  "detail": "<unknown>"
}
Retrieving ABNs is currently in closed beta. When getting an order, you can view the has_abn field to determine if an ABN form is available for this order.
curl --request GET \
     --url '{{BASE_URL}}/v3/order/<order_id>/abn_pdf' \
     --header 'accept: application/pdf' \
     --header 'x-vital-api-key: YOUR_API_KEY' \
     --output file.pdf
from junction import Junction
from junction.environment import JunctionEnvironment

client = Junction(
    api_key="YOUR_API_KEY",
    environment=JunctionEnvironment.SANDBOX,
)

data = client.lab_tests.get_order_abn_pdf("<order_id>")
import { JunctionClient, JunctionEnvironment } from "@junction-api/sdk";

const client = new JunctionClient({
    apiKey: "YOUR_API_KEY",
    environment: JunctionEnvironment.Sandbox,
});

const data = await client.labTests.getOrderAbnPdf({ orderId: "<order_id>" });
import com.junction.api.Junction;
import com.junction.api.core.Environment;

Junction client = Junction.builder()
    .apiKey("YOUR_API_KEY")
    .environment(Environment.SANDBOX)
    .build();

var data = client.labTests().getOrderAbnPdf("<order_id>");
import (
    "context"

    junction "github.com/junction-api/junction-go"
    "github.com/junction-api/junction-go/client"
    "github.com/junction-api/junction-go/option"
)

c := client.NewClient(
    option.WithApiKey("YOUR_API_KEY"),
    option.WithBaseURL(junction.Environments.Sandbox),
)

response, err := c.LabTests.GetOrderAbnPdf(context.TODO(), &junction.GetOrderAbnPdfLabTestsRequest{
    OrderId: "<order_id>",
})
if err != nil {
    return err
}
fmt.Printf("Received data %s\n", response)

Authorizations

x-vital-api-key
string
header
required

Vital Team API Key

Path Parameters

order_id
string<uuid>
required

Your Order ID.

Response

PDF with ABN form